Subject: Re: [PATCH 2.6]: Make packet scheduler clock source configurable

From: Patrick McHardy <[email-masked]>
Date: Fri, 23 Jul 2004 03:00:52 +0200

Patrick McHardy wrote:
> David S. Miller wrote:
>> We could bug check this in psched calibration, in fact I think
>> we should.
> 
> 
> Done by this patch. I used BUG_ON instead of just printing a warning
> because using packet schedulers after this error will cause a division
> by zero.

Please drop this patch, psched_calibrate_clock already checks if
rdelay > delay a couple of lines above.

> Regards
> Patrick